import { TestCaseStatus } from '../app/models/enums/test-case-status.enum';
import { TestExecutionModel } from '../app/models/interfaces/slabs-custom-components/test-execution-status.interface';

export const customComponentHistoryMock: TestExecutionModel[] = [
  {
    id: 1,
    status: TestCaseStatus.FAILURE,
    endDate: '2024-07-22T19:24:20.841Z',
    startDate: '2024-07-22T18:24:20.841Z',
    passedTestsNumber: 2,
    totalTestsNumber: 5,
    failedTestsNumber: 2,
    undefinedTestsNumber: 1,
    componentId: '1',
    componentName: 'Component Name 1',
    specificationId: 1,
    specificationName: 'Consent',
    specificationLastUpdate: '2024-07-16T11:59:05.135872',
  },
  {
    id: 2,
    status: TestCaseStatus.SUCCESS,
    endDate: '2024-07-22T18:24:20.841Z',
    startDate: '2024-07-21T17:24:20.841Z',
    passedTestsNumber: 4,
    totalTestsNumber: 4,
    failedTestsNumber: 0,
    undefinedTestsNumber: 0,
    componentId: '2',
    componentName: 'Component Name 2',
    specificationId: 2,
    specificationName: 'Consent',
    specificationLastUpdate: '2024-07-16T11:59:05.135872',
  },
  {
    id: 3,
    status: TestCaseStatus.FAILURE,
    endDate: '2024-07-22T18:24:20.841Z',
    startDate: '2024-07-22T18:20:00.841Z',
    passedTestsNumber: 2,
    totalTestsNumber: 3,
    failedTestsNumber: 1,
    undefinedTestsNumber: 0,
    componentId: '3',
    componentName: 'Component Name 3',
    specificationId: 3,
    specificationName: 'Consent',
    specificationLastUpdate: '2024-07-16T11:59:05.135872',
  },
];
